summaryrefslogtreecommitdiffstats
path: root/.local/bin/statusbar/sb-forecast
diff options
context:
space:
mode:
authorLuke Smith <luke@lukesmith.xyz>2023-10-28 08:41:43 -0400
committerLuke Smith <luke@lukesmith.xyz>2023-10-28 08:41:43 -0400
commit0cc589bcadf5a8ce6aee2706e749fee878ccca75 (patch)
tree8cbd17151ea65bcaf73085899917ac66d1360122 /.local/bin/statusbar/sb-forecast
parent6ba48b27339d47732519476333712bb4b2cde87f (diff)
parent1e3adf9c03b2e563e81a13d6907ffd5ca20b887a (diff)
downloadeibhear-0cc589bcadf5a8ce6aee2706e749fee878ccca75.tar.gz
eibhear-0cc589bcadf5a8ce6aee2706e749fee878ccca75.tar.zst
eibhear-0cc589bcadf5a8ce6aee2706e749fee878ccca75.zip
Merge branch 'master' of github.com:LukeSmithxyz/voidrice
Diffstat (limited to '.local/bin/statusbar/sb-forecast')
-rwxr-xr-x.local/bin/statusbar/sb-forecast2
1 files changed, 1 insertions, 1 deletions
diff --git a/.local/bin/statusbar/sb-forecast b/.local/bin/statusbar/sb-forecast
index 368c17f..d8a16aa 100755
--- a/.local/bin/statusbar/sb-forecast
+++ b/.local/bin/statusbar/sb-forecast
@@ -7,7 +7,7 @@ url="${WTTRURL:-wttr.in}"
weatherreport="${XDG_CACHE_HOME:-$HOME/.cache}/weatherreport"
# Get a weather report from 'wttr.in' and save it locally.
-getforecast() { curl -sf "$url/$LOCATION" > "$weatherreport" || exit 1; }
+getforecast() { timeout --signal=1 2s curl -sf "$url/$LOCATION" > "$weatherreport" || exit 1; }
# Forecast should be updated only once a day.
checkforecast() {